<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://unpkg.com/purecss@2.1.0/build/pure-min.css" integrity="sha384-yHIFVG6ClnONEA5yB5DJXfW2/KC173DIQrYoZMEtBvGzmf0PKiGyNEqe9N6BNDBH" crossorigin="anonymous">
    <link rel="stylesheet" href="./../static/main.css">
    <title>Memory Overview</title>
</head>
<body>
    <nav>
        <%- include("./partials/navbar", {isLoggedIn: true, isAdmin: (isAdmin ?? false)}); %>
    </nav>
    <main>
        <h1>Memories</h1>
        <button onclick="location.href='/memory?query=myMemories'">my Memories</button>
        <button onclick="location.href='/memory?query=favorites'">Favorites</button>
        <button onclick="location.href='/memory?query=completed'">completed</button>
        <button onclick="location.href='/memory?query=unplayed'">unplayed</button>
        <button onclick="location.href='/memory?query=all'">all</button>
        <div>
            <% for(let memory of memories) { %>
                <div class="memoryOverview">
                    <div>
                        <h3><%= memory.title %></h3>
                        <div><%= memory.description %></div>
                        Created By: <b><%= memory.username %></b> <br>
                        Created At: <%= memory.createdAt.toLocaleDateString() %> <br>
                        <i><%= memory.completedBy.includes(user) ? "Completed" : "Not Played Yet" %></i>
                        <div>Is a Favorite of Yours: <%= memory.favoredBy.includes(user) ? "Yes" : "No" %></div>
                    </div>
                    <div class="buttons" >
                        <button onclick="location.href= '/memory/play?id=<%= memory.id %>'">Play</button>
                        <form action="/memory/favorite" method="POST" enctype="application/x-www-form-urlencoded">
                            <input type="hidden" name="id" value="<%= memory.id %>">
                            <button type="submit" <%- memory.favoredBy.includes(user) ? "hidden" : "" %>>Add to favorites</button>
                        </form>
                    </div>
                </div>
            <%}%>
        </div>
    </main>
    <footer>
        <%- include("./partials/footer"); %>
    </footer>
</body>
</html>